import 'package:cpt_vn/modules/main/main_page.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/job/applied_staff_detail/applied_staff_detail_page.dart';
import '../modules/job/applied_staff_reviews/applied_staff_reviews_page.dart';
import '../modules/job/applied_workflow/applied_workflow_page.dart';
import '../modules/job/attendance_review_list/attendance_review_page.dart';
import '../modules/job/job_applied/job_applied_page.dart';
import '../modules/job/job_applied_edit/job_applied_edit_page.dart';
import '../modules/job/job_list/job_list_page.dart';
import '../modules/job/job_list_detail/job_list_detail_page.dart';
import '../modules/job/sign_in_sign_out/sign_in_sign_out_page.dart';
import '../modules/labour/labour_request_add/labour_request_add_page.dart';
import '../modules/labour/labour_request_list/labour_request_list_page.dart';
import '../modules/labour/labour_request_workflow/labour_request_workflow_page.dart';
import '../modules/labour/labour_review_edit/labour_review_edit_page.dart';
import '../modules/labour/labour_review_list/labour_review_page.dart';
import '../modules/labour/labour_review_workflow/labour_request_workflow_page.dart';
import '../modules/labour/labour_template_add/labour_template_add_page.dart';
import '../modules/labour/labour_template_list/labour_template_list_page.dart';
import '../modules/report/device_list/device_list_page.dart';
import '../modules/report/report_finance/report_finance_page.dart';
import '../modules/report/report_labour_vn/report_labour_vn_page.dart';
import '../modules/report/report_list/report_list_page.dart';
import '../modules/report/report_staff_request/report_staff_request_page.dart';


/// UK模块路由配置
class VNPageRouter {
  static final routes = <GetPage<dynamic>>[

    //首页
    GetPage(
      name: RouterPath.main,
      page: () => VNMainPage(),
    ),

    //用工请求列表
    GetPage(
      name: RouterPath.jobLabourRequestList,
      page: () => LabourRequestListPage(),
    ),

    //用工请求添加
    GetPage(
      name: RouterPath.jobLabourRequestAdd,
      page: () => LabourRequestAddPage(),
    ),

    //用工请求状态修改工作流
    GetPage(
      name: RouterPath.jobLabourRequestWorkflow,
      page: () => LabourRequestWorkflowPage(),
    ),

    //用工请求状态修改工作流
    GetPage(
      name: RouterPath.labourTemplateList,
      page: () => LabourTemplateListPage(),
    ),

    //用工请求状态修改工作流
    GetPage(
      name: RouterPath.labourTemplateAdd,
      page: () => LabourTemplateAddPage(),
    ),

    //用工请求审核列表
    GetPage(
      name: RouterPath.labourReviewList,
      page: () => LabourReviewPage(),
    ),

    //用工请求审核编辑
    GetPage(
      name: RouterPath.labourReviewEdit,
      page: () => LabourReviewEditPage(),
    ),

    //用工请求审核工作流
    GetPage(
      name: RouterPath.labourReviewWorkflow,
      page: () => LabourReviewWorkflowPage(),
    ),

    //签到签出
    GetPage(
      name: RouterPath.jobSignInSignOut,
      page: () => SignInSignOutPage(),
    ),

    //工作列表
    GetPage(
      name: RouterPath.jobList,
      page: () => JobListPage(),
    ),

    //工作列表详情
    GetPage(
      name: RouterPath.jobListDetail,
      page: () => JobListDetailPage(),
    ),

    //工作已申请列表
    GetPage(
      name: RouterPath.jobAppliedStaffList,
      page: () => JobAppliedPage(),
    ),

    //工作已申请列表
    GetPage(
      name: RouterPath.jobAppliedStaffWorkflow,
      page: () => AppliedWorkflowPage(),
    ),

    //编辑申请
    GetPage(
      name: RouterPath.jobAppliedStaffEdit,
      page: () => JobAppliedEditPage(),
    ),

    //员工详情
    GetPage(
      name: RouterPath.jobAppliedStaffDetail,
      page: () => AppliedStaffDetailPage(),
    ),

    //员工评价
    GetPage(
      name: RouterPath.jobAppliedStaffReviews,
      page: () => AppliedStaffReviewsPage(),
    ),

    //工作考勤的审核列表
    GetPage(
      name: RouterPath.jobAttendanceReviewList,
      page: () => AttendanceReviewPage(),
    ),

    //设备列表
    GetPage(
      name: RouterPath.deviceList,
      page: () => DeviceListPage(),
    ),

    //报表列表
    GetPage(
      name: RouterPath.reportList,
      page: () => ReportListPage(),
    ),

    //财务报表
    GetPage(
      name: RouterPath.reportFinance,
      page: () => ReportFinancePage(),
    ),

    //员工申请
    GetPage(
      name: RouterPath.reportStaffRequest,
      page: () => ReportStaffRequestPage(),
    ),

    //用工统计（越南单独页面）
    GetPage(
      name: RouterPath.reportLabourVN,
      page: () => ReportLabourVNPage(),
    ),

  ];
}
